curl --request GET \
--url https://api.gcore.com/iam/clients/{clientId}/tokens/{tokenId} \
--header 'Authorization: <api-key>'import requests
url = "https://api.gcore.com/iam/clients/{clientId}/tokens/{tokenId}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.gcore.com/iam/clients/{clientId}/tokens/{tokenId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"name": "My token",
"exp_date": "2021-01-01T12:00:00.000000Z",
"client_user": {
"role": {
"id": 1,
"name": "Administrators"
},
"deleted": false,
"user_id": 123,
"user_name": "John Doe",
"user_email": "some@email.com",
"client_id": 456
},
"id": 42,
"deleted": false,
"expired": false,
"created": "2021-01-01T12:00:00.000000Z",
"last_usage": "2021-01-01T12:00:00.000000Z",
"description": "It's my token"
}Get API token
Deprecated: This endpoint will be removed on 2026-07-17.
Use GET /v2/clients/{clientId}/tokens/{tokenId} instead.
Authorizations
API key for authentication. Make sure to include the word apikey, followed by a single space and then your token.
Example: apikey 1234_abcdef
Response
OK.
API token name.
"My token"
Date when the API token becomes expired (ISO 8086/RFC 3339 format), UTC. If null, then the API token will never expire.
"2021-01-01T12:00:00.000000Z"
API token role and issuer data.
Show child attributes
Show child attributes
API token ID.
42
Deletion flag. If true, then the API token was deleted.
false
Expiration flag. If true, then the API token has expired. When an API token expires it will be automatically deleted.
false
Date when the API token was issued (ISO 8086/RFC 3339 format), UTC.
"2021-01-01T12:00:00.000000Z"
Date when the API token was last used (ISO 8086/RFC 3339 format), UTC.
"2021-01-01T12:00:00.000000Z"
API token description.
"It's my token"
Was this page helpful?